# $Revision: 1.15 $, $Date: 2011/03/16 10:25:09 $
Summary:	Network performance measurement tool
Summary(pl.UTF-8):	Narzędzie do szacowania wydajności sieci
Name:		iperf
Version:	2.0.5
Release:	2
License:	BSD-like
Group:		Networking/Utilities
Source0:	http://downloads.sourceforge.net/iperf/%{name}-%{version}.tar.gz
# Source0-md5:	44b5536b67719f4250faed632a3cd016
Patch0:		%{name}-2.0.5-tcpdual.patch
URL:		http://iperf.sourceforge.net/
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Iperf is a network performance measurement tool.

While tools to measure network performance, such as ttcp, exist, most
are very old and have confusing options. Iperf was developed as a
modern alternative for measuring TCP and UDP bandwidth performance.

Iperf is a tool to measure maximum TCP bandwidth, allowing the tuning
of various parameters and UDP characteristics. Iperf reports
bandwidth, delay jitter, datagram loss.

%description -l pl.UTF-8
Iperf to narzędzie do szacowania wydajności sieci.

O ile narzędzia do określania wydajności sieci, takie jak ttcp,
istnieją, to większość z nich jest bardzo stara i ma mylące opcje.
Iperf został stworzony jako współczesna alternatywa do szacowania
wydajności pasma TCP i UDP.

Iperf to narzędzie określające maksymalne pasmo TCP, umożliwiające
dostrajanie różnych parametrów i charakterystyk UDP. Iperf raportuje
pasmo, opóźnienia i straty datagramów.

%prep
%setup -q
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README doc/*.html doc/*.gif
%attr(755,root,root) %{_bindir}/iperf
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: iperf.spec,v $
Revision 1.15  2011/03/16 10:25:09  arekm
- rel 2; don't end server in tcp bidirect mode

Revision 1.14  2011/03/16 10:11:06  arekm
- up to 2.0.5

Revision 1.13  2010/05/22 17:45:35  gotar
- fixed Group

Revision 1.12  2008/11/15 09:07:21  paszczus
- updated to 2.0.4
- switched to new URL and Source0 URL
- added manpages
- adaptarized

Revision 1.11  2007-08-05 10:59:23  twittner
- added omitted picture to documentation

Revision 1.10  2007/02/22 16:01:21  wrobell
- rel. 1 (after version change)
- fixed build requirements

Revision 1.9  2007/02/22 15:53:56  wrobell
- ver. 2.0.2

Revision 1.8  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.6  2004/07/18 22:03:50  qboosh
- fixed build on amd64, release 2

Revision 1.5  2004/07/17 22:42:07  qboosh
- use configure macro to pass proper flags, BR: libstdc++-devel

Revision 1.4  2004/07/17 20:31:12  domelu
- rel 1, STBR

Revision 1.3  2004/07/17 18:16:35  domelu
- %build hack: s/%{__make}/make/g (sick makefile)

Revision 1.2  2004/07/15 18:59:15  qboosh
- pl

Revision 1.1  2004/07/15 06:15:09  domelu
- init
- desc taken from mdk spec file
